Chuyển đến nội dung
Diễn đàn CADViet

LuytBui

Thành viên
  • Số lượng nội dung

    51
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    8

Cộng đồng

19 (tàm tạm)

About LuytBui

  • Cấp bậc
    biết vẽ ellipse

Khách truy cập Tiểu sử gần đây

825 chế độ xem tiểu sử
  1. LuytBui

    giúp mình làm Lisp nối so le các đoạn thẳng song song

    Mình có sẵn cái lisp này nhưng mà phải thao tác từng 2 cái line một lần. noi line.lsp Gõ lệnh là "2" nhé. Nó sẽ nối 2 đối tượng (line / pline) tại đầu gần nhất lúc mình bấm chon đối tượng. Nếu cần đổi lệnh thì edit file dòng (defun c:2()(joinObject 2)) thành (defun c:tenlenh()(joinObject 2))
  2. LuytBui

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    Anh sẵn lòng mời em bát bún bò thì liên hệ Zalo 0963926272.
  3. LuytBui

    lisp nội suy cao độ

  4. LuytBui

    lisp nội suy cao độ

  5. LuytBui

    lisp nội suy cao độ

    Vẽ đường đồng mức từ text thì anh dùng cái này DIAHINH 2.0.rar (sưu tầm). Còn lisp điền cao độ như trong video thì anh add Zalo 0963926272
  6. LuytBui

    Lisp vẽ ren

    @vipgun cảm ơn người ta đã góp ý xong để đấy không làm theo. Giờ bạn nhận lisp về xong lúc sau lại đăng yêu cầu thêm ví dụ: sửa cho em để nhập khoảng cách offset, sửa cho em linetype, layer này nọ,...v..v. Như thế sẽ rất mất thời gian và ức chế cho người bỏ thời gian ra giúp bạn miễn phí. Đăng bài nhờ viết lisp nên ghi yêu cầu rõ ràng, tốt nhất là có file cad nhé bạn.
  7. LuytBui

    MPL-MultiPlot _ in nhiều bản vẽ trong file DWG (Layout + Model)

    @tien2005 anh có thể sửa lisp một chút chỗ này giúp em được không ạ. Em thường xuyên làm việc với những khung bản vẽ A3 là rectang màu đỏ như trong hình, là "khung trong" của bản vẽ (kích thước 38,5x27.7cm). Tỉ lệ in nếu để Fit là 0.9322 <0.95 lisp không tự động làm tròn thành 1. Anh có thể sửa lisp giúp em chỗ này được không ạ: tỷ lệ x>0.9 thì làm tròn thành 1. Em cảm ơn rất nhiều.
  8. Code lisp của nó chỉ như này thôi, tạ ơn VL-SORT đã giúp bớt đi bao nhiêu dòng code (defun sortlist_LR-TB(ename_list) (vl-sort ename_list (function (lambda (a b) (if (> (cadr (L:ename-dxf a 10)) (cadr (L:ename-dxf b 10)) ) T (if (= (cadr (L:ename-dxf a 10)) (cadr (L:ename-dxf b 10)) ) (< (car (L:ename-dxf a 10)) (car (L:ename-dxf b 10)) ) );if );if ))) );defun (defun L:ename-dxf(ename code) (cdr (assoc code (entget ename))))
  9. - Mình viết ngắn gọn nhất có thể nên bạn thớt chịu khó đọc thêm bài viết này để hiểu ý mình: https://viblo.asia/p/cac-thuat-toan-sap-xep-co-ban-Eb85ooNO52G - Chọn dùng thuật toán bubble sort (mình hay viết bằng lisp nên chả quan tâm thuật toán gì, cứ áp cho nó cái vl-sort là khỏi phải nghĩ, không biết các ngôn ngữ khác thì thế nào) - Giờ đến phần Phép so sánh, tức là: lúc nào thì đổi chỗ 2 phần tử cho nhau Dùng hàm như dưới đây với input là 2 điểm P1, P2; output là có hay không phải đổi chỗ 2 phần tử
  10. LuytBui

    (Góc cầu cứu) chỉnh sửa lisp

    Bạn mới học viết lisp thì nên bỏ thêm ít thời gian học cách dùng Visual Lisp Editor thay vì dùng notepad để viết. Nó có công cụ hỗ trợ gỡ lỗi rất hay.
×